package com.rs.game.player.dialogues.impl.dungeoneering;

import com.rs.game.player.dialogues.Dialogue;
import com.rs.utils.ShopsHandler;

public class DungeoneeringMeleeShopD extends Dialogue {
    
	int npcId = 11226;

	@Override
	public void start() {
		sendNPCDialogue(11226, 9827, "Alright Melee shop it is,", " are you sure you want to view the Melee shop??" );
	}

	@Override
	public void run(int interfaceId, int componentId) {
		switch (stage) {
		case -1:
			stage = 0;
			sendOptionsDialogue(DEFAULT_OPTIONS_TITLE, "Sure let me see what you have.", "No thanks, I'll get my own items.");
			break;
		case 0:
			if (componentId == OPTION_2) {
				stage = 1;
				sendPlayerDialogue(ANGERY, "No thanks, I'll get my own items.");
			} else {
				stage = 2;
				sendPlayerDialogue(HAPPY, "Sure let me see what you have.");
			}
			break;
		case 1:
			stage = -2;
			sendNPCDialogue(11226, SAD, "Very well. Come back if you change your mind.");
			break;
		case 2:
		    	stage = 3;
		    	sendNPCDialogue(11226, HAPPY, "Alright,", " Take your time and browse." );
			break;
		case 3:
			stage = 4;
			sendOptionsDialogue("", "Thank you.", "Actually, nevermind.");
			break;
		case 4:
			if (componentId == OPTION_1) {
			    ShopsHandler.openShop(player, 603);
			    end();
			} 
			else if (componentId == OPTION_2) {
			end();
			}
			break;
		default:
			end();
			break;
		}
	}
	
	@Override
	public void finish() {
	}
}
